'*****************************************************
' Script Name: Command-Line_Arguments.vbs
'     Version: 1.0
'     Purpose: Shows count and text of arguments to the script.
'       Usage: Drag one or more files onto this script's icon.
'	           The dragged-and-dropped files will not be altered
'	           in any way.  Or execute the script from the command line
'                  with some number of arguments.
'       Legal: Public Domain.  Modify and redistribute freely.  No rights reserved.
'*****************************************************


sMsg = "Number of Arguments: " & WScript.Arguments.Count & vbCrLf & vbCrLf

For Each sArg In WScript.Arguments  
	sMsg = sMsg & sArg & vbCrLf
Next

MsgBox sMsg 


'You can also cycle through the arguments with a For loop like this:
'   For i = 0 to WScript.Arguments.Count - 1
'       sMsg = sMsg & WScript.Argument.Item(i)
'   Next
'   MsgBox sMsg 
'
'Strictly speaking, the "Item" property does not have to be included because
'it is the default property of the object.  Hence, the following two statements
'are identical in meaning:
'   WScript.Arguments(i)
'   WScript.Arguments.Item(i)
'

'END OF SCRIPT ***************************************
