'************************************************************************************
' Script Name: Disable_WebDAV.vbs
'     Version: 1.0
'        Date: 3/18/03
'      Author: Jason Fossen, SANS Institute (www.sans.org)
'     Purpose: Disable the WebDAV protocol on IIS 5.0 to prevent a buffer
'              overflow exploit over HTTP/HTTPS described in MS03-007
'              (http://www.microsoft.com/technet/security/bulletin/MS03-007.asp).
'       Legal: Public Domain.  Modify and redistribute freely.  No rights reserved.
'              Script provided "AS IS" without warranties or guarantees of any kind.
'************************************************************************************

On Error Resume Next
Dim iChoice, bShowMessages, oWshShell 

If WScript.Arguments.Count = 0 Then 
    iChoice = MsgBox ("Do you wish to modify the registry to disable WebDAV?", vbYesNo + vbInformation + vbDefaultButton2, "Disable WebDAV?")
    If iChoice = vbYes Then 
        Call DisableWebDAV(True)
        WScript.Quit
    Else 
        MsgBox "No changes made.", vbInformation, "Cancelled"
        WScript.Quit 
    End If 
Else
    If LCase(Cstr(WScript.Arguments.Item(0))) = "-fix" Then
        Call DisableWebDAV(False)
        WScript.Quit
    Else
        MsgBox "Run the script to be asked if you wish to disable WebDAV." & vbCrLf & "Run the script with the ""-fix"" switch to disable WebDAV silently.", vbInformation, "Help"
        WScript.Quit
    End If
End If


Sub DisableWebDAV(bShowMessages)
    Err.Clear
    Set oWshShell = WScript.CreateObject("WScript.Shell")
    oWshShell.RegWrite "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters\DisableWebDAV", 1, "REG_DWORD"

    'Uncomment the following line to also restrict the URL buffer size (KB260694).
    'oWshShell.RegWrite "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters\MaxClientRequestBuffer",16384,"REG_DWORD"

    If Err.Number = 0 Then
        If bShowMessages Then MsgBox "Registry change to disable WebDAV successfully written." & vbCrLf & "Restart all IIS processes or reboot." & vbCrLf & "(Clicking OK will not restart processes or reboot the system.)", vbInformation, "Success"
    Else
        If bShowMessages Then MsgBox "An error has occurred when setting the registry value to " & _
                                     "disable WebDAV.  Make sure you have administrative privileges " & _
                                     "on the system.  If this error message persists, then set the value " & _
                                     "by hand as described in http://support.microsoft.com/default.aspx?scid=kb;en-us;241520",vbCritical,"Error!"
    End If
End Sub



'END OF SCRIPT***********************************************************************
